package com.crm.ucard.dao.repository;

import com.crm.rely.backend.core.pojo.table.CustomKycImageTable;
import com.crm.rely.backend.dao.repository.BaseRepository;

import java.util.List;

public interface CustomKycImageRepository extends BaseRepository<CustomKycImageTable> {

    List<CustomKycImageTable> findAllByExternalUserId(String externalUserId);

    List<CustomKycImageTable> findAllByExternalUserIdIn(List<String> externalUserIds);

    List<CustomKycImageTable> getCustomKycImageTableByExternalUserIdAndType(String endUserId, Integer type);

    List<CustomKycImageTable> getCustomKycImageTableByApplicantIdAndVerifyType(String applicantId, Integer verifyType);

}
